petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMPLEX

"plex" - A DM object that encapsulates an unstructured mesh, or CW Complex, which can be expressed using a Hasse Diagram. In the local representation, Vecs contain all unknowns in the interior and shared boundary. This is specified by a PetscSection object. Ownership in the global representation is determined by ownership of the underlying DMPlex points. This is specified by another PetscSection object.

### Options Database Keys

| -dm_view :mesh.tex:ascii_latex | - View the mesh in LaTeX/TikZ
| -dm_plex_view_scale <num> | - Scale the TikZ
| -dm_plex_print_fem <num> | - View FEM assembly information, such as element vectors and matrices

### See Also

DMType, DMPlexCreate(), DMCreate(), DMSetType()

### Level

intermediate

### Location

src/dm/impls/plex/plexcreate.c

### Examples

src/dm/impls/plex/examples/tutorials/ex2.c.html
src/dm/impls/plex/examples/tutorials/ex5.c.html
src/dm/field/examples/tutorials/ex1.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex56.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html
src/ts/examples/tutorials/ex11.c.html
src/ts/examples/tutorials/ex48.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages